<?php
	require_once("/var/www/html/libs/misc.lib.php");
	require_once("/var/www/html/libs/paloSantoDB.class.php");
	$dsn = generarDSNSistema("root","whitelist","/var/www/html/");
	$pDB = new paloDB($dsn);
	
	$dsna = generarDSNSistema("root","asterisk","/var/www/html/");
	$pDBa = new paloDB($dsna);
	
	$patrones ="";
	
	if(isset($_GET['c'])){
		echo "<table>\n";
		$query = "SELECT * FROM patrones_lblanca ORDER BY id ASC";
		$result = $pDB->fetchTable($query,TRUE,NULL);
		if($result === FALSE)
			echo "Query Error ".$pDB->errMsg;
		else{
			if(count($result) > 0){
				echo "<tr><th>Patterns</th><th>Offset</th></tr>\n";
				foreach($result as $value){
					
					//-------------------------------------
					$timegroup="select description from timegroups_groups where id=?";
					$arrVal=array($value['timegroup']);
					$resulttg = $pDBa->fetchTable($timegroup,TRUE,$arrVal);
					//writeLOG("/var/log/elastix/bddlog", $result);
					if($resulttg === FALSE) echo "Query Error ".$pDBa->errMsg;
					else{
						if(count($resulttg) > 0){
							foreach($resulttg as $valuetg){
								$nomtg = $valuetg['description'];
							}
						}
						else{
							echo "<script>alert('There is no data for the criteria search')</script>";
							$nomtg = "none";
							//file_put_contents("fallaconsulta.txt","Query Error ".$value['timegroup']."\n",FILE_APPEND);
						}
					}
					//-------------------------------------
					
					echo "<tr><td><input type='text' id='patron".$value['id']."' name='patron".$value['id']."' value='".$value['patron']."' readonly='readonly' /></td><td><input type='text' id='patronoff".$value['id']."' name='patronoff".$value['id']."' size='5' value='".$value['offset']."' /></td><td>(".$nomtg.")</td><td><img src='trash.png' title='Eliminar Ruta ".$value['id']."' onClick='eliminarRuta(".$value['id'].")' /></td></tr>\n";
					$patrones .= $value['patron'].",";
				}
			}
			//else
				//echo "<script>alert('There is no data for the criteria search')</script>";
		}
		echo "</table>\n";
	}
	
	if(isset($_GET['e'])){
		
		$elim= "DELETE FROM patrones_lblanca WHERE id=?";
		$arrParame=array($_GET['e']);
		$resulte = $pDB->genQuery($elim,$arrParame);
		if($resulte === FALSE){
			echo "Query Error".$pDB->errMsg;
			file_put_contents("fallaconsulta.txt","Query Error Eliminar".$_GET['e']."\n",FILE_APPEND);
		}
		else{
			//echo "Query successfully executed";
			
			$nfint="/etc/asterisk/whitelistint.conf";
			file_put_contents($nfint,"[whitelist]\n");
			$querylb = "SELECT * FROM patrones_lblanca";
			$resultlb = $pDB->fetchTable($querylb,TRUE,NULL);
			if($resultlb === FALSE){
				echo "Query Error Select1".$pDB->errMsg;
				file_put_contents("fallaconsulta.txt","Query Error Select patrones ".$_GET['e']."\n",FILE_APPEND);
			}
			else{
				if(count($resultlb) > 0){
					foreach($resultlb as $value){
						//echo $value[“campo1”].”<br />”;
						echo "<option value='".$value['calling_code']."' data-image='$rutaImg' >".$value['spanish_name']."</option>\n";
						
						file_put_contents($nfint,";inicio marcacion lblanca [".$value['id']."]\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",1,NoOp(WHITE LIST:\${EXTEN})\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,AGI(validarwlist.php,\${EXTEN},".$value['offset'].",".$value['route_id'].")\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,GotoIf(\$[\"\${valido}\"=\"1\"]?\${nompat},\${EXTEN},1:colgar)\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,Hangup()\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n(colgar),Set(Log=\${STRFTIME(${EPOCH},,%Y-%m-%d)})\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,Set(Hora=\${STRFTIME(\${EPOCH},,%H:%M:%S)})\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,system(/bin/echo \${Hora} - Error calling \${EXTEN} from \${CALLERID(num)} >> /etc/eagle-eye/white_list/logs/whitefail_\${Log})\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,Playback(not-auth-pstn)\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,Hangup()\n",FILE_APPEND);
						file_put_contents($nfint,";fin marcacion lblanca [".$value['id']."]\n",FILE_APPEND);
					}
					system("asterisk -rx \"dialplan reload\" > /dev/null 2>&1");
				}
					//echo "<script>alert('There is no data for the criteria search')</script>";
			}
			
			echo "<table>\n";
			$query = "SELECT * FROM patrones_lblanca ORDER BY id ASC";
			$result = $pDB->fetchTable($query,TRUE,NULL);
			if($result === FALSE)
				echo "Query Error Patrones lblanca ".$pDB->errMsg;
			else{
				if(count($result) > 0){
					echo "<tr><th>Patterns</th><th>Offset</th></tr>\n";
					foreach($result as $value){
						
						//-------------------------------------
						$timegroup="select description from timegroups_groups where id=?";
						$arrVal=array($value['timegroup']);
						$resulttg = $pDBa->fetchTable($timegroup,TRUE,$arrVal);
						//writeLOG("/var/log/elastix/bddlog", $result);
						if($resulttg === FALSE) echo "Query Error Select TG".$pDBa->errMsg;
						else{
							if(count($resulttg) > 0){
								foreach($resulttg as $valuetg){
									$nomtg = $valuetg['description'];
								}
							}
							else{
								//echo "<script>alert('There is no data for the criteria search')</script>";
								$nomtg = "none";
								file_put_contents("fallaconsulta.txt","Query Error TG ".$value['timegroup']."\n",FILE_APPEND);
							}
						}
						//-------------------------------------
						
						echo "<tr><td><input type='text' id='patron".$value['id']."' name='patron".$value['id']."' value='".$value['patron']."' readonly='readonly' /></td><td><input type='text' id='patronoff".$value['id']."' name='patronoff".$value['id']."' size='5' value='".$value['offset']."' /></td><td>(".$nomtg.")</td><td><img src='trash.png' title='Eliminar Ruta ".$value['id']."' onClick='eliminarRuta(".$value['id'].")' /></td></tr>\n";
						$patrones .= $value['patron'].",";
					}
				}
				else
					echo "<script>alert('There is no data for the criteria search')</script>";
			}
			echo "</table>\n";
		}
	}
?>