<?php
	require_once("/var/www/html/libs/misc.lib.php");
	require_once("/var/www/html/libs/paloSantoDB.class.php");
	require_once("/var/www/html/libs/misc.lib.php");
	$dsn = generarDSNSistema("root","whitelist","/var/www/html/");
	$dsna = generarDSNSistema("root","asterisk","/var/www/html/");
	$pDB = new paloDB($dsn);
	$pDBa = new paloDB($dsna);
	
	if(isset($_POST["Agregar"])){
		if(isset($_POST['chkh']))$actg=1; else $actg=0;
		if(isset($_POST['timegroup']))$tg=$_POST['timegroup']; else $tg=0;
		$insert= "INSERT INTO patrones_lblanca(patron,offset,route_id,activartg,timegroup) VALUES(?,?,?,?,?)";
		$arrParam=array($_POST['ruta'],$_POST['digito'],$_POST['patron'],$actg,$tg);
		$result = $pDB->genQuery($insert,$arrParam);
		if($result == FALSE)
			echo "<script>window.opener.mostrarRutas();</script>";
		else
			//echo "Query successfully executed";
		
		echo "<script>window.opener.mostrarRutas();</script>";
		
		$nfint="/etc/asterisk/whitelistint.conf";
		file_put_contents($nfint,"[whitelist]\n");
		$query = "SELECT * FROM patrones_lblanca";
		$result = $pDB->fetchTable($query,TRUE,NULL);
		if($result === FALSE)
			echo "Query Error ".$pDB->errMsg;
		else{
			if(count($result) > 0){
				foreach($result as $value){
					//echo $value[“campo1”].”<br />”;
					
					file_put_contents($nfint,";inicio marcacion lblanca [".$value['id']."]\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",1,NoOp(WHITE LIST:\${EXTEN})\n",FILE_APPEND);
					if($value['timegroup']!=0){
						$querytime = "SELECT time FROM timegroups_details WHERE timegroupid=?";
						$resulttime = $pDBa->fetchTable($querytime,TRUE,array($value['timegroup']));
						if($resulttime === FALSE)
							echo "Query Error ".$pDBa->errMsg;
						else{
							if(count($resulttime) > 0){
								foreach($resulttime as $valuetime){
									$tiempo=str_replace("|",",",$valuetime['time']);
									file_put_contents($nfint,"exten => _".$value['patron'].",n,GotoIfTime($tiempo?timein:timeout)\n",FILE_APPEND);
								}
							}
						}
					}
					file_put_contents($nfint,"exten => _".$value['patron'].",n(timein),AGI(validarwlist.php,\${EXTEN},".$value['offset'].",".$value['route_id'].")\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n,GotoIf(\$[\"\${valido}\"=\"1\"]?\${nompat},\${EXTEN},1:colgar)\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n,Hangup()\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n(colgar),Set(Log=\${STRFTIME(\${EPOCH},,%Y-%m-%d)})\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n,Set(Hora=\${STRFTIME(\${EPOCH},,%H:%M:%S)})\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n,system(/bin/echo \${Hora} - Error calling \${EXTEN} from \${CALLERID(num)} >> /etc/eagle-eye/white_list/logs/whitefail_\${Log})\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n,Playback(not-auth-pstn)\n",FILE_APPEND);
					file_put_contents($nfint,"exten => _".$value['patron'].",n,Hangup()\n",FILE_APPEND);
					if($value['timegroup']!=0){
						file_put_contents($nfint,"exten => _".$value['patron'].",n(timeout),Playback(not-auth-pstn)\n",FILE_APPEND);
						file_put_contents($nfint,"exten => _".$value['patron'].",n,Hangup()\n",FILE_APPEND);
					}
					file_put_contents($nfint,";fin marcacion lblanca [".$value['id']."]\n",FILE_APPEND);
				}
			}
			else
				echo "<script>alert('There is no data for the criteria search')</script>";
		}
		system("asterisk -rx \"dialplan reload\" > /dev/null 2>&1");
	}
?>
<html>
	<head>
		<title>Add Patterns</title>
		<link rel="stylesheet" type="text/css" href="ms-Dropdown/css/msdropdown/dd.css" />
		<link href="estilo.css" type="text/css" rel="stylesheet">
		<script>
			function cargarRutas(valor){
				if(valor!=0){
					document.getElementById('ruta').disabled=false;
					document.getElementById('digito').disabled=false;
					var xmlhttp;
					if (window.XMLHttpRequest)
					  {// code for IE7+, Firefox, Chrome, Opera, Safari
					  xmlhttp=new XMLHttpRequest();
					  }
					else
					  {// code for IE6, IE5
					  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
					  }
					xmlhttp.onreadystatechange=function()
					  {
					  if (xmlhttp.readyState==4 && xmlhttp.status==200)
						{
						document.getElementById("ruta").innerHTML=xmlhttp.responseText;
						}
					  }
					xmlhttp.open("GET","getrutas.php?p="+valor,true);
					xmlhttp.send();
				}
				else{
					document.getElementById('ruta').disabled=true;
					document.getElementById('digito').disabled=true;
				}
			}
			function activarHorario(){
				if(document.getElementById('chkh').checked==true){
					document.getElementById('timegroup').disabled=false;
				}
				else{
					document.getElementById('timegroup').disabled=true;
				}
			}
		</script>
	</head>
	<body>
		<center>
		<form method="post">
		<table>
			<tr>
				<td>Route:</td>
				<td>
					<select id="patron" name="patron" onChange="cargarRutas(this.value)">
						<option value='0' >Select..</option>
						<?php
							$qrlst="SELECT * FROM outbound_routes ORDER BY route_id ASC";
							$result = $pDBa->fetchTable($qrlst,TRUE,NULL);
							//writeLOG("/var/log/elastix/bddlog", $result);
							if($result === FALSE) echo "Query Error ".$pDBa->errMsg;
							else{
								if(count($result) > 0){
									foreach($result as $value){
										echo "<option value='".$value['route_id']."' >".$value['name']."</option>\n";
									}
								}
								else
									echo "<option vaule='0'>No Routes To Add</option>";
							}
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td>Pattern:</td>
				<td>
					<select id="ruta" name="ruta" disabled="disabled">
						<option value='0' >Select..</option>
						
					</select>
				</td>
			</tr>
			<tr>
				<td>Offset:</td>
				<td><input type="text" id="digito" name="digito" maxlength="2" size="5" disabled="disabled" /></td>
			</tr>
			<tr>
				<td>Enable Timegroup:</td>
				<td><input type="checkbox" id="chkh" name="chkh" OnClick="activarHorario();" /></td>
			</tr>
			<tr>
				<td>Timegroup:</td>
				<td>
					<select id="timegroup" name="timegroup" disabled="disabled">
						<option value='0'>Select...</option>
						<?php
							$qrlst="select * from timegroups_groups";
							$result = $pDBa->fetchTable($qrlst,TRUE,NULL);
							//writeLOG("/var/log/elastix/bddlog", $result);
							if($result === FALSE) echo "Query Error ".$pDBa->errMsg;
							else{
								if(count($result) > 0){
									foreach($result as $value){
										echo "<option value='".$value['id']."'>".$value['description']."</option>";
									}
								}
								else
									echo "<option vaule='0'>No Time Groups Created</option>";
							}
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td><input type="submit" name="Agregar" value="add" /></td><td><input type="button" name="close" value="close" onClick="window.close();" /></td>
			</tr>
		</table>
		</form>
		</center>
	</body>
</html>